As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 673481 - Remove the border of the reload button in the location bar
: Remove the border of the reload button in the location bar
Status: RESOLVED FIXED
[testday-20110930]
: polish, ux-minimalism
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: Firefox 8
Assigned To: Dão Gottwald [:dao]
:
: Dão Gottwald [:dao]
Mentors:
Depends on: 686428
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-22 11:19 PDT by Dão Gottwald [:dao]
Modified: 2011-09-30 10:12 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (7.67 KB, patch)
2011-07-22 11:19 PDT, Dão Gottwald [:dao]
shorlander: review+
Details | Diff | Splinter Review

Description User image Dão Gottwald [:dao] 2011-07-22 11:19:23 PDT
Created attachment 547754 [details] [diff] [review]
patch

Streamlining things. This border bugged me for some time now.
Comment 1 User image Dão Gottwald [:dao] 2011-07-23 05:43:59 PDT
I pushed this to the UX branch.
Comment 2 User image Darren Kalck [:D-Kalck] 2011-07-24 11:56:02 PDT
Looks good, Is there a bug to remove it from the search box ?
Comment 3 User image Dão Gottwald [:dao] 2011-07-24 12:10:00 PDT
There's nothing like this in the search box.
Comment 4 User image Darren Kalck [:D-Kalck] 2011-07-24 12:51:36 PDT
There's one border when there's text in the search box and when the search box hasn't the focus.
http://i.imgur.com/rJtdU.png
Comment 5 User image Dão Gottwald [:dao] 2011-07-24 12:56:03 PDT
That's not on mozilla-central -- comments you have on that should go in bug 592909.
Comment 6 User image JK 2011-07-24 19:44:18 PDT
I'd argue that this change make the location bar look MORE cluttered. Now you have (in OS X at least) the star, the drop-down arrow, and the reload, sitting side-by-side much like the add-ins icons, or OS X's native widgets in the upper-right of the screen or Windows task bar icons. But then the mouse-over effect for each icon is completely different -- the star glows slightly, nothing happens to the down arrow, and the reload gets a border, a background-color, and a gradient.

The down arrow needs to go all-together: it lists the most recently entered URLs, but why should these be available? The awsomebar does more than this. Perhaps this should be an add-on?

The star should probably be on the left side, close to the URL replacing the site icon which is shown in the current tab. Then "reload" "stop" or "go" would be there by themselves, cleaner and clearer.
Comment 7 User image Dão Gottwald [:dao] 2011-07-25 04:28:58 PDT
I agree that this isn't ideal and personally think the reload button should be moved back between back/forward and the location bar, but I have no hope to convince the UX team of this :)
Comment 8 User image Dão Gottwald [:dao] 2011-08-01 08:08:13 PDT
To clarify, I agree that having all these things crammed into the location bar isn't ideal. However, I don't consider the separator a good tradeoff -- it feels disruptive and I think we're better off without it right now. Reducing the number of icons is something we look into independently.
Comment 9 User image Stephen Horlander [:shorlander] 2011-08-05 08:49:26 PDT
(In reply to comment #8)
> To clarify, I agree that having all these things crammed into the location
> bar isn't ideal. However, I don't consider the separator a good tradeoff --
> it feels disruptive and I think we're better off without it right now.
> Reducing the number of icons is something we look into independently.

I agree the border seems like unnecessary visual noise here. Although the reason I put the border there to begin with was to try and keep the lucky charms and the refresh button from running together. Which they seem to do without a visual separator.

Some things that could improve the appearance and flow until we can look into removing/relocating some stuff:
- More subtle history dropdown icon
- More consistent spacing between icons
- Removing the hover and active button styles also

I can file followups for those.
Comment 10 User image Marco Bonardo [::mak] 2011-08-06 02:56:41 PDT
http://hg.mozilla.org/mozilla-central/rev/43615caacb48
Comment 11 User image [:Aleksej] 2011-09-30 10:12:32 PDT
Verified fixed with 8.0b1 eo for Linux x86_64.

Note You need to log in before you can comment on or make changes to this bug.